module newKey (clk, new_key, pulse) ;

input clk;
input new_key;
output pulse;
reg [1:0] state;
reg pulse;

always @(posedge clk) begin
	if ( new_key && (state == 0)) begin
		pulse <= 1;
		state <= 1;
	end // end if new key
	
	if ( state == 1 ) begin
		pulse <= 0;
		state <= 2;
	end
	
	if( ~new_key && (state == 2)) begin
		pulse <= 0;
		state <= 0;
	end // end reset state
end
endmodule 
