module MOVE_SPRITE (clk, B1, B3, B2, B4, X, Y) ;

input B1 ; // X++
input B3 ; // X--
input B2 ; // Y++
input B4 ; // Y--
input clk;
output [9:0] X ;
output [9:0] Y ;

reg [31:0] counter;
reg [9:0] X, Y;//, Xvec, Yvec;
//reg [2:0] mode;
//parameter still=0, bounce=1, pool=2;
parameter UPDATE_FREQUENCY = 1000000;
//parameter go_still=4'b1110, go_pool=4'b0111, go_bounce=4'b1011;
//parameter XMIN = 0, XMAX = 639, YMIN = 0, YMAX = 479;
//parameter DAMPER = 5;
//parameter GRAVITY = 1;

always @(posedge clk)
begin
	counter <= counter + 1;
	if (counter > UPDATE_FREQUENCY)
	begin
		//mode <= still;
		counter <= 0;
		//case({B1,B2,B3,B4})
		//	go_still:
		//	      begin
		//		mode <= still;
		//		Xvec <= 0;
		//		Yvec <= 0;
		//	      end
		//	go_pool:
		//		mode <= pool;
		//	go_bounce:
		//		mode <= bounce;
		//endcase
		//case(mode)
		//	still:
		//	      begin
				//if (X + B1 - B3 > XMIN && X + B1 - B3 < XMAX)
					X <= X + B1 - B3;
				//if (Y + B2 - B4 > YMIN && Y + B2 - B4 < YMAX)
					Y <= Y + B2 - B4;
		//	      end
		//	pool: 
		//	      begin
		//		if (X + Xvec > XMAX | X + Xvec < XMIN)
		//			Xvec <= -Xvec;
		//		if (Y + Yvec > YMAX | Y + Yvec < YMIN)
		//			Yvec <= -Yvec;
		//		
		//		X <= X + Xvec;
		//		Y <= Y + Yvec;
		//		Xvec <= Xvec + B1 - B3;
		//		Yvec <= Yvec + B2 - B4;
		//	      end
		//	bounce: // NOTE: The "ground" is at YMAX, not YMIN.
		//	      begin
		//		if (X + Xvec > XMAX | X + Xvec < XMIN)
		//			Xvec <= -Xvec;
		//		if (Y + Yvec > YMAX)
		//			Yvec <= -Yvec;
		//		if (Y + Yvec < YMIN)
		//			Yvec <= -Yvec - DAMPER;
		//			
		//		X <= X + Xvec;
		//		Y <= Y + Yvec;
		//		Xvec <= Xvec + B1 - B3;
		//		
		//		Yvec <= Yvec + B2 - B4 + GRAVITY;
		//	      end
		//	default:
		 //	      begin
		 //	      	mode <= still;
		 //	      	Xvec <= 0;
		 //	      	Yvec <= 0;
		 //	      	X <= 200;
		 //	      	Y <= 200;
		 //	      end
		//endcase
	end
end

endmodule 
