------------------------------------------------------
-- LogiBLOX AND Module "NextRow"
-- Created by LogiBLOX version D.24
--    on Thu Feb 22 16:41:51 2001
-- Attributes 
--    MODTYPE = AND
--    BUS_WIDTH = 3
--    OPTYPE = TYPE_1
--    STYLE = MAX_SPEED
------------------------------------------------------
-- This is a behaviorial model only and cannot be synthesized.
------------------------------------------------------
LIBRARY IEEE;
USE IEEE.std_logic_1164.ALL;

-- synopsys translate_off
LIBRARY logiblox;
USE logiblox.mvlutil.ALL;
USE logiblox.mvlarith.ALL;
USE logiblox.logiblox.ALL;
-- synopsys translate_on

ENTITY NextRow IS
  PORT(
    O: OUT std_logic;
    A: IN std_logic_vector(2 DOWNTO 0));
END NextRow;

-- synopsys translate_off
ARCHITECTURE sim OF NextRow IS
    SIGNAL START_PULSE: std_logic := '1';
BEGIN
  PROCESS
    VARIABLE VA: std_logic_vector(2 DOWNTO 0);
    BEGIN
      VA := stdvec2mvl(A);
      O <= (VA(0) AND VA(1) AND VA(2));
      WAIT ON A, START_PULSE;
  END PROCESS;
END sim;
-- synopsys translate_on
